Bug 18988 - sshd does not close file descriptors
Summary: sshd does not close file descriptors
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openssh   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-12 18:29 UTC by Gerald Teschl
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-24 11:29:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gerald Teschl 2000-10-12 18:29:51 UTC
If I upgrade a package which restarts sshd in its post script, sshd will
inherit
the file descriptor pointing to this rpm. Unfortunately it does not close
it.

In particular, if the rpm was on an nfs directory it is no longer possible
to unmount this directory unless you physically walk to the machine
(this is why I consider it "high" priority)

There are similar problems with lpd and maybe other services.

Comment 1 Gerald Teschl 2000-10-16 08:47:46 UTC
As Jeff (jbj@redhat.com) pointed out: If the rpm is on a CD, it is not possible
to unmount the CD!

Comment 2 Pekka Savola 2000-10-28 15:15:01 UTC
Hmm.. Isn't this an rpm issue?

Comment 3 Gerald Teschl 2001-01-24 11:29:18 UTC
I also think that this is an rpm issue. rpm should close the file descriptor
before giving control
to sshd.

Comment 4 Nalin Dahyabhai 2001-04-03 00:13:25 UTC
This issue is spread among lots of guilty apps, which in an ideal world would
all be closing extra descriptors.  A workaround which catches most of these
cases is in initscripts-5.69.


Note You need to log in before you can comment on or make changes to this bug.